# application

# embedded server


# mysql
spring.datasource.url=jdbc:mysql://120.77.47.114:8089/uniorder_test_20211018?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
spring.datasource.username=root
spring.datasource.password=9gB2Qrmo


# dubbo && zookeeper
dubbo.registry.protocol=zookeeper
dubbo.registry.address=127.0.0.1:2181

# Dubbo Protocol
dubbo.application.name=consumer

dubbo.protocol.name=dubbo
dubbo.protocol.port=20880
dubbo.protocol.payload=52428800
dubbo.provider.retries=0
dubbo.provider.timeout=300000
# Zookeeper
zookeeper.servers=127.0.0.1:2181
zookeeper.lock_path=/lock/
zookeeper.session_timeout_ms=60000
zookeeper.connection_timeout_ms=5000
zookeeper.retry_count=5
zookeeper.elapsed_time_ms=1000

# redis
spring.redis.host=127.0.0.1
spring.redis.port=6379
spring.redis.database=0
spring.redis.password=
spring.redis.timeout=60000ms

spring.redis.jedis.pool.minIdle=0
spring.redis.jedis.pool.maxIdle=8
spring.redis.jedis.pool.maxWait=-1
spring.redis.jedis.pool.maxActive=8

env.output.enabled=true
env.output.path.root=/Users/linjinyu/tmp
env.output.path.template=/template
env.output.path.storage=/_storage

excel.export.enabled=true
excel.export.path.root=/Users/linjinyu/tmp
excel.export.path.template=/template
excel.export.path.storage=/_storage

### xxl-job admin address list, such as "http://address" or "http://address01,http://address02"
xxl.job.admin.addresses=http://127.0.0.1:18168/jobadmin

### xxl-job, access token
xxl.job.accessToken=6f970743bfccc4633cffa89791f1392d

### xxl-job executor appname
xxl.job.executor.appname=superdesk-uniorder-openapi-job-executor
### xxl-job executor registry-address: default use address to registry , otherwise use ip:port if address is null
xxl.job.executor.address=
### xxl-job executor server-info
xxl.job.executor.ip=
xxl.job.executor.port=28888
### xxl-job executor log-path
xxl.job.executor.logpath=/data/wwwroot/backend/superdesk-uniorder-jobadmin/applogs/xxl-job/jobhandler
### xxl-job executor log-retention-days
xxl.job.executor.logretentiondays=30
xxl.job.executor.test=0